import { PropsWithChildren } from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type ModalProps = PropsWithChildren<PropsWithMetadata<{
    /** Allows providing a custom class name */
    className?: string;
    /** Specifies an initial focused HTML element */
    initialFocusElement?: HTMLElement;
    /** Gets called when the close or cancel button is pressed */
    onRequestToClose: () => void;
    /** Gets called after the `Dialog` is closed */
    onClose?: () => void;
    /** Gets called after the `Dialog` is opened */
    onOpen?: () => void;
    /** Specifies whether the `Dialog` is mounted and displayed */
    open: boolean;
}>>;
declare const Modal: ({ metadata, children, className, onRequestToClose, onClose, onOpen, open, }: ModalProps) => JSX.Element | null;
export default Modal;
